Package com.independentsoft.graph.teams

# Class BroadcastMeetingSettings

java.lang.Object
com.independentsoft.graph.teams.BroadcastMeetingSettings

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class BroadcastMeetingSettings extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BroadcastMeetingSettings()`
  `BroadcastMeetingSettings​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BroadcastMeetingAudience`
  `getAllowedAudience()`
  `BroadcastMeetingCaptionSettings`
  `getCaptions()`
  `boolean`
  `isAttendeeReportEnabled()`
  `boolean`
  `isQuestionAndAnswerEnabled()`
  `boolean`
  `isRecordingEnabled()`
  `boolean`
  `isVideoOnDemandEnabled()`
  `void`
  `isVideoOnDemandEnabled​(boolean isVideoOnDemandEnabled)`
  `void`
  `setAllowedAudience​(BroadcastMeetingAudience allowedAudience)`
  `void`
  `setAttendeeReportEnabled​(boolean isAttendeeReportEnabled)`
  `void`
  `setCaptions​(BroadcastMeetingCaptionSettings captions)`
  `void`
  `setQuestionAndAnswerEnabled​(boolean isQuestionAndAnswerEnabled)`
  `void`
  `setRecordingEnabled​(boolean isRecordingEnabled)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BroadcastMeetingSettings

    public BroadcastMeetingSettings()

  - ### BroadcastMeetingSettings

    public BroadcastMeetingSettings​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getAllowedAudience

    public BroadcastMeetingAudience getAllowedAudience()

  - ### setAllowedAudience

    public void setAllowedAudience​(BroadcastMeetingAudience allowedAudience)

  - ### getCaptions

    public BroadcastMeetingCaptionSettings getCaptions()

  - ### setCaptions

    public void setCaptions​(BroadcastMeetingCaptionSettings captions)

  - ### isRecordingEnabled

    public boolean isRecordingEnabled()

  - ### setRecordingEnabled

    public void setRecordingEnabled​(boolean isRecordingEnabled)

  - ### isAttendeeReportEnabled

    public boolean isAttendeeReportEnabled()

  - ### setAttendeeReportEnabled

    public void setAttendeeReportEnabled​(boolean isAttendeeReportEnabled)

  - ### isQuestionAndAnswerEnabled

    public boolean isQuestionAndAnswerEnabled()

  - ### setQuestionAndAnswerEnabled

    public void setQuestionAndAnswerEnabled​(boolean isQuestionAndAnswerEnabled)

  - ### isVideoOnDemandEnabled

    public boolean isVideoOnDemandEnabled()

  - ### isVideoOnDemandEnabled

    public void isVideoOnDemandEnabled​(boolean isVideoOnDemandEnabled)